html,
body {
    margin: 0;
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;

    background-color: rgb(64, 92, 132);
}

.mainboard {
    display: flex;
    top: 40%;
    position: relative;
}

.components {
    top:5%;
    padding: 20px;
    display: flex;
    flex-flow: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    position: absolute;
}

#cpu-Socket {
    position: absolute;
    height: 90px;
    width: 70px;
    z-index: 1;
    left: 42%;
    bottom: 60%;
}

#gpu-Socket {
    position: absolute;
    height: 35px;
    width: 140px;
    z-index: 1;
    left: 20%;
    bottom: 40%;
}

#ram-Socket {
    position: absolute;
    height: 180px;
    width: 50px;
    z-index: 1;
    left: 71%;
    bottom: 50%;
}

#cpu-Cable-Socket {
    position: absolute;
    height: 30px;
    width: 45px;
    z-index: 1;
    left: 24%;
    bottom: 93.5%;
}

#gpu-Cable-Socket {
    position: absolute;
    height: 25px;
    width: 40px;
    z-index: 1;
    left: 55%;
    bottom: 42%;
    z-index: 3;
}

#atx-Cable-Socket {
    position: absolute;
    height: 80px;
    width: 33px;
    z-index: 1;
    left: 89%;
    bottom: 75%;
    z-index: 3;
}

#cpu-placed {
    scale: 80%;
    display: none;
    position: absolute;
    z-index: 2;
    left: 41%;
    bottom: 60%;
}

#gpu-placed {
    display: none;
    z-index: 2;
    position: absolute;
    bottom: 35%;
}

#ram-placed {
    display: none;
    scale: 220%;
    z-index: 2;
    left: 85%;
    bottom: 62%;
    position: absolute;
}

#cpu-cable-placed {
    display: none;
    position: absolute;
    z-index: 3;
    left: 18%;
    bottom: 95%;
}

#gpu-cable-placed {
    display: none;
    z-index: 3;
    position: absolute;
    bottom: 37%;
    left: 50%;
}

#atx-cable-placed {
    display: none;
    position: absolute;
    left: 93%;
    top: 5%;
    z-index: 3;
}

#win-text{
    display: none;
    top:10%;
    position: absolute;
    font-family:Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 80pt;
    color:white;
}

#restart-button{
    display:none;
    position: absolute;
    margin-left: 80%;
}